package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreBussinessSystem;
import java.util.List;
import org.springframework.stereotype.Service;

@Service
public interface IBussinessSystemService {
   void delete(TCoreBussinessSystem bussinessSystem);

   void saveOrUpdate(TCoreBussinessSystem bussinessSystem);

   List<TCoreBussinessSystem> queryList(TCoreBussinessSystem condition);

   int getTotalCount();

   TCoreBussinessSystem queryById(String bussinessSystemId);
}
